1.2

1.2

post /v1/cloud-functions

Description

create a cloud function

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}